Skip to content
Guides
Fulfillment & ShippingFulfillment
settings:update

Create location

Creates a fulfillment location with its capabilities, schedules, pickup, and local-delivery settings.

POST/v1/fulfillment/locations

Creates a fulfillment location with its capabilities, schedules, pickup, and local-delivery settings.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/fulfillment/locations" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "Example resource",    "code": "example_code",    "type": "warehouse",    "address": "example",    "city": "example",    "state": "example",    "country": "PE",    "postalCode": "example_code"  }'
{  "id": "7204558912004325301"}